aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2022-08-16 18:31:07 -0300
committerEuAndreh <eu@euandre.org>2022-08-16 18:31:07 -0300
commit150b9b60ab7b3271225c1e5993118f8437914ea7 (patch)
treeeaaee32446dfaac7e5e2bde9f227b4dc1d1cfbb3
parentetc/guix/home.scm: Use #~ and #$ over ` and , (diff)
downloaddotfiles-150b9b60ab7b3271225c1e5993118f8437914ea7.tar.gz
dotfiles-150b9b60ab7b3271225c1e5993118f8437914ea7.tar.xz
bin/update: Add almost-working script
-rwxr-xr-xbin/update80
1 files changed, 80 insertions, 0 deletions
diff --git a/bin/update b/bin/update
new file mode 100755
index 0000000..7ec5bd8
--- /dev/null
+++ b/bin/update
@@ -0,0 +1,80 @@
+#!/bin/sh
+set -eu
+
+usage() {
+ cat <<-'EOF'
+ Usage:
+ update
+ update -h
+ EOF
+}
+
+help() {
+ cat <<-'EOF'
+
+ Options:
+ -h, --help show this message
+
+
+ Updates miscellaneous things on the workstation:
+ - "guix pull" on the "andreh" and "root" accounts;
+ - get latest RFCs;
+ - updates RSS feeds;
+ - updates source code repositories.
+
+
+ Examples:
+
+ Just use it:
+
+ $ update
+ EOF
+}
+
+
+for flag in "$@"; do
+ case "$flag" in
+ --)
+ break
+ ;;
+ --help)
+ usage
+ help
+ exit
+ ;;
+ *)
+ ;;
+ esac
+done
+
+while getopts 'h' flag; do
+ case "$flag" in
+ h)
+ usage
+ help
+ exit
+ ;;
+ *)
+ usage >&2
+ exit 2
+ ;;
+ esac
+done
+shift $((OPTIND - 1))
+
+
+guix pull &
+
+{
+ pass show velhinho/0-andreh-password |
+ head -n1 |
+ sudo -iS guix pull
+} &
+
+wait
+
+rfc -u
+newsboat -x reload
+
+# FIXME
+# mr -j "$N_PROC" fetch # git pull for all repos under ~/dev/